Get summary
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/ownership/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/ownership/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/ownership/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/tenant/ownership/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/tenant/ownership/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/tenant/ownership/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/tenant/ownership/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"total": 5024,
"noOwner": 120,
"withPerson": 925,
"withTeam": 4880,
"noTeamUntagged": 40,
"noOwnerWhy": {
"untagged": 40,
"otherTags": 60,
"unusableValues": 20
},
"bySource": {
"person": {
"manual": 123,
"assetTag": 123,
"integrationTag": 123
},
"team": {
"manual": 123,
"assetTag": 123,
"integrationTag": 123
}
},
"sourcesApproximate": true,
"scan": {
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"total": 5024,
"done": 3000
},
"owners": {
"limit": 1000,
"live": 72,
"limitReached": false,
"teams": {
"limit": 1000,
"live": 40,
"limitReached": false
},
"people": {
"limit": 1000,
"live": 40,
"limitReached": false
}
},
"byIntegration": [
{
"integrationId": "<string>",
"total": 123,
"noOwner": 123,
"noTeam": 123,
"noTeamUntagged": 123
}
],
"newOwners": [
{
"week": "2023-11-07T05:31:56Z",
"teams": 123,
"people": 123
}
]
}
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}Get ownership summary
How much of the inventory has an owner, where owners came from, why the rest have none, and the progress of the latest tenant-wide scan. noOwner is the same number the noOwner=true filter on List assets gives. Requires Asset:Read.
GET
/
v1
/
tenant
/
ownership
/
summary
Get summary
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/ownership/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/ownership/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/ownership/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{region}.api.plerion.com/v1/tenant/ownership/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{region}.api.plerion.com/v1/tenant/ownership/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{region}.api.plerion.com/v1/tenant/ownership/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{region}.api.plerion.com/v1/tenant/ownership/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"total": 5024,
"noOwner": 120,
"withPerson": 925,
"withTeam": 4880,
"noTeamUntagged": 40,
"noOwnerWhy": {
"untagged": 40,
"otherTags": 60,
"unusableValues": 20
},
"bySource": {
"person": {
"manual": 123,
"assetTag": 123,
"integrationTag": 123
},
"team": {
"manual": 123,
"assetTag": 123,
"integrationTag": 123
}
},
"sourcesApproximate": true,
"scan": {
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"total": 5024,
"done": 3000
},
"owners": {
"limit": 1000,
"live": 72,
"limitReached": false,
"teams": {
"limit": 1000,
"live": 40,
"limitReached": false
},
"people": {
"limit": 1000,
"live": 40,
"limitReached": false
}
},
"byIntegration": [
{
"integrationId": "<string>",
"total": 123,
"noOwner": 123,
"noTeam": 123,
"noTeamUntagged": 123
}
],
"newOwners": [
{
"week": "2023-11-07T05:31:56Z",
"teams": 123,
"people": 123
}
]
}
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}Was this page helpful?